package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrPowerMapper;
import com.ruoyi.project.pssr.domain.TPssrPower;
import com.ruoyi.project.pssr.service.ITPssrPowerService;

/**
 * 临时电源Service业务层处理
 *
 * @author ssy
 * @date 2024-11-01
 */
@Service
public class TPssrPowerServiceImpl implements ITPssrPowerService
{
    @Autowired
    private TPssrPowerMapper tPssrPowerMapper;

    /**
     * 查询临时电源
     *
     * @param id 临时电源ID
     * @return 临时电源
     */
    @Override
    public TPssrPower selectTPssrPowerById(Long id)
    {
        return tPssrPowerMapper.selectTPssrPowerById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrPowerMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询临时电源列表
     *
     * @param tPssrPower 临时电源
     * @return 临时电源
     */
    @Override
    public List<TPssrPower> selectTPssrPowerList(TPssrPower tPssrPower)
    {
        return tPssrPowerMapper.selectTPssrPowerList(tPssrPower);
    }

    /**
     * 新增临时电源
     *
     * @param tPssrPower 临时电源
     * @return 结果
     */
    @Override
    public int insertTPssrPower(TPssrPower tPssrPower)
    {
        return tPssrPowerMapper.insertTPssrPower(tPssrPower);
    }

    /**
     * 修改临时电源
     *
     * @param tPssrPower 临时电源
     * @return 结果
     */
    @Override
    public int updateTPssrPower(TPssrPower tPssrPower)
    {
        return tPssrPowerMapper.updateTPssrPower(tPssrPower);
    }

    /**
     * 批量删除临时电源
     *
     * @param ids 需要删除的临时电源ID
     * @return 结果
     */
    @Override
    public int deleteTPssrPowerByIds(Long[] ids)
    {
        return tPssrPowerMapper.deleteTPssrPowerByIds(ids);
    }

    /**
     * 删除临时电源信息
     *
     * @param id 临时电源ID
     * @return 结果
     */
    @Override
    public int deleteTPssrPowerById(Long id)
    {
        return tPssrPowerMapper.deleteTPssrPowerById(id);
    }
}
